gnutls_openpgp_privkey_get_preferred_key_id(3)

NAME
gnutls_openpgp_privkey_get_preferred_key_id - Gets the preferred keyID

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_privkey_get_preferred_key_id(gnutls_openpgp_privkey_t key, gnutls_openpgp_keyid_t keyid);

ARGUMENTS

gnutls_openpgp_privkey_t key
    the structure that contains the OpenPGP public key.

gnutls_openpgp_keyid_t keyid
    the struct to save the keyid.

DESCRIPTION
Get the preferred key-id for the key.

RETURNS
the 64-bit preferred keyID of the OpenPGP key, or if it hasn't been set it returns GNUTLS_E_INVALID_REQUEST.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.